"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LaCrosseDTTAccessory = void 0;
const LaCrosseDTAccessoryBase_1 = require("./LaCrosseDTAccessoryBase");
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
class LaCrosseDTTAccessory extends LaCrosseDTAccessoryBase_1.LaCrosseDTAccessoryBase {
    constructor(platform, accessory) {
        super(platform, accessory);
    }
    updateData(data, buf) {
        if (data.sensor_type === 2) {
            // This is only sensor type 2
            super.updateData(data, buf);
        }
    }
}
exports.LaCrosseDTTAccessory = LaCrosseDTTAccessory;
//# sourceMappingURL=LaCrosseDTTAccessory.js.map